package com.cocodin.barcodescan.plugin;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

import com.rscja.deviceapi.Barcode2D;
import com.rscja.deviceapi.exception.ConfigurationException;
import com.rscja.utility.StringUtility;

import android.support.v4.app.Fragment;
import android.app.Activity;
import android.app.ProgressDialog;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.ScrollView;
import android.widget.TextView;
import android.widget.Toast;
import android.os.Build;

public class PluginHelper {

    private static final String TAG = "PluginHelper";

    public static void scan(CordovaInterface cordova, CordovaWebView webView, JSONArray args,
            final CallbackContext callbackContext) {

        Log.i("ErDActivity", "scan() ");

        if (threadStop) {

            boolean bContinuous = false;

            int iBetween = 0;

            bContinuous = cbContinuous.isChecked();
            if (bContinuous) {
                btn_Start.setText(getString(R.string.title_stop));
                threadStop = false;

                String strBetween = et_between.getText().toString();
                if (StringUtility.isEmpty(strBetween)) {

                } else {
                    iBetween = StringUtility.string2Int(strBetween,0);// 毫秒
                }

                btn_Clear.setEnabled(false);
                cbContinuous.setEnabled(false);
            }
            init_barcode = et_init_barcode.getText().toString();

            // thread = new Thread(new GetBarcode(bContinuous, iBetween));
            // thread.start();

            executor.execute(new GetBarcode(bContinuous, iBetween));

        } else {
            btn_Start.setText(getString(R.string.title_scan));
            threadStop = true;
            cbContinuous.setEnabled(true);
            btn_Clear.setEnabled(true);
        }
    }
}
